# [−] [src] Trait typenum::marker_traits::Ord

    pub trait Ord {
        fn to_ordering() -> Ordering;
    }

A Marker trait for the types `Greater`, `Equal`, and `Less`.

This trait should not be implemented for anything outside this crate.

## Required methods

### `fn to_ordering() -> Ordering` [src]

Loading content...

## Implementors

### `impl Ord for Equal` [src]

Returns `core::cmp::Ordering::Equal`

#### `fn to_ordering() -> Ordering` [src]

### `impl Ord for Greater` [src]

Returns `core::cmp::Ordering::Greater`

#### `fn to_ordering() -> Ordering` [src]

### `impl Ord for Less` [src]

Returns `core::cmp::Ordering::Less`

#### `fn to_ordering() -> Ordering` [src]

Loading content...